Package commoble.useitemonblockevent.internal

# Class MixinCallbacks

java.lang.Object
commoble.useitemonblockevent.internal.MixinCallbacks

public class MixinCallbacks extends Object

## Constructor Summary

Constructors
Constructor
Description
`MixinCallbacks()`

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.world.InteractionResult`
`onBlockUse(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hitResult)`
`static net.minecraft.world.InteractionResult`
`onItemUseFirst(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext)`
`static net.minecraft.world.InteractionResult`
`onUseItemOnBlock(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MixinCallbacks

public MixinCallbacks()

## Method Details

### onItemUseFirst

public static net.minecraft.world.InteractionResult onItemUseFirst(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext)

### onBlockUse

public static net.minecraft.world.InteractionResult onBlockUse(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hitResult)

### onUseItemOnBlock

public static net.minecraft.world.InteractionResult onUseItemOnBlock(net.minecraft.world.item.ItemStack stack, net.minecraft.world.item.context.UseOnContext useOnContext)